org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.features

## Class FeaturesCrsParameterTransform

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
  - - org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.features.AbstractFeaturesCrs
    - - org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.features.FeaturesCrsParameterTransform

-     public class FeaturesCrsParameterTransform
      extends AbstractFeaturesCrs

  Verifies transformed geometries in the paths /collection/{collectionId}/items

       Abstract Test 7: /conf/crs/crs-parameter-transform
       Test Purpose: Verify that the geometries are transformed
       Requirement: /req/crs/crs-action

       Test Method
       For every CRS identifier advertized by the Web API that is known to the test engine and for which the test engine can
       convert geometries between the CRS and the default CRS of the Web API ("known CRS") execute the following test.
       Skip the test for unknown CRSs.
        1. For each spatial feature collection collectionId, send a request with the parameter crs
           to /collections/{collectionId}/items and /collections/{collectionId}/items/{featureId}
           (with a valid featureId for the collection) for every known CRS listed. In addition, send the same request,
           but without the crs parameter.
        2. Convert the response for the known CRS to the default CRS and verify that the responses match. Due to the use of
           different coordinate conversions in the test engine and by the API, there will not be an exact match and the test
           engine will have to allow for reasonable differences when assessing whether the geometries match.

  Author:
    Lyn Goltz

- - ### Field Summary

    - ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `requestLoggingFilter, responseLoggingFilter, rootUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeaturesCrsParameterTransform()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `verifyFeaturesCrsParameterTransformWithCrsParameter(String collectionId, io.restassured.path.json.JsonPath collection, CoordinateSystem crs, CoordinateSystem defaultCRS)` Test: transformed geometries in the path /collections/{collectionId}/items
    `void` | `verifyFeaturesCrsParameterTransformWithoutCrsParameter(String collectionId, io.restassured.path.json.JsonPath collection)` Test: transformed geometries in the path /collections/{collectionId}/items

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.crs.query.crs.features.AbstractFeaturesCrs

      `collectionIdAndJson, collectionIdAndJsonAndCrs, collectionIdAndJsonAndCrsAndDefaultCrs, retrieveRequiredInformationFromTestContext`

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

      `clearMessages, getRequest, getResponse, init, initCommonFixture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FeaturesCrsParameterTransform

          public FeaturesCrsParameterTransform()

  - ### Method Detail

    - #### verifyFeaturesCrsParameterTransformWithoutCrsParameter

          public void verifyFeaturesCrsParameterTransformWithoutCrsParameter(String collectionId,
                                                                             io.restassured.path.json.JsonPath collection)
                                                                      throws org.locationtech.jts.io.ParseException

      Test: transformed geometries in the path /collections/{collectionId}/items
      Parameters:
        `collectionId` - id id of the collection, never `null`
        `collection` - the /collection object, never `null`
      Throws:
        `org.locationtech.jts.io.ParseException` - if the geometry could not be parsed

    - #### verifyFeaturesCrsParameterTransformWithCrsParameter

          public void verifyFeaturesCrsParameterTransformWithCrsParameter(String collectionId,
                                                                          io.restassured.path.json.JsonPath collection,
                                                                          CoordinateSystem crs,
                                                                          CoordinateSystem defaultCRS)
                                                                   throws org.locationtech.jts.io.ParseException

      Test: transformed geometries in the path /collections/{collectionId}/items
      Parameters:
        `collectionId` - id id of the collection, never `null`
        `collection` - the /collection object, never `null`
        `crs` - the crs to test, never `null`
        `defaultCRS` - the defaultCRS of the collection, never `null`
      Throws:
        `org.locationtech.jts.io.ParseException` - if the geometry could not be parsed

Copyright © 2024 Open Geospatial Consortium. All rights reserved.